Deletes specific Freight Type by id
Deletes specific Freight Type by id
Path Parameters
Freight Type id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Freight Type deleted
Path Parameters
Headers
Gets specific Freight Type by unique id
Gets specific Freight Type by unique id
Path Parameters
Freight Type id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Freight Type
FreightType
Freight Type Model
Freight Type name.
>= 0 characters<= 100 characters
Freight Type Id.
Is Freight Type deleted (enabled/disabled)?.
Modified on
Path Parameters
Headers
Updates Freight Type
Sample request:
PUT /freighttypes
{
"name": "Freight Type Name"
}
Path Parameters
Freight Type id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Freight Type model
EmptyExample
Response
application/json
Response
Returns updated Freight Type
FreightType
Freight Type Model
Freight Type name.
>= 0 characters<= 100 characters
Freight Type Id.
Is Freight Type deleted (enabled/disabled)?.
Modified on
Path Parameters
Headers
Body
fulfilmentorders
Searches fulfilment orders by parameters
Searches fulfilment orders by parameters
Query Parameters
Order item id.
Order id.
Fulfilment id
Fulfilment service id.
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns fulfilment orders
fulfilment.Order.PagingResponse
One OfOrder model.
Shippit order model.